#ifndef __HOTLISTDIALOG_H
#define __HOTLISTDIALOG_H

#include <qdialog.h>
#include <qstringlist.h>
class QPushButton;
class QListBox;

class HotListDialog : public QDialog
{
    Q_OBJECT
public:
    HotListDialog(QWidget *parent=0, const char *name=0);
protected slots:
    void slotAdd();
    void slotRemove();
    void slotItemHighlighted(int id);
    void slotAccept();
    bool isModified(){return(modified);}
protected:
    void load();
    void save();

    QPushButton *removeBtn, *okayBtn;
    QListBox *listBox;
    QStringList paths;
    bool modified;
};

#endif

